* {
    font-family: 'Oswald', sans-serif;
    box-sizing: border-box;
}

body {
    height: 100vh;
    margin: 0px;
    display: grid;
    grid-template-rows: 120px 1fr 60px;
    grid-template-columns: 1fr;
    grid-template-areas:
        "cabecalho"
        "principal"
        "rodape";
}

.cabecalho {
    grid-area: cabecalho;
    background-color: #1867c0;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-bottom: 10px;
    z-index: 1;
    box-shadow: 0px 4px 9px -2px rgba(0, 0, 0, 0.75);
}

.cabecalho h1 {
    margin: 0px;
    font-weight: 300;
    font-size: 2.8rem;
}

.cabecalho h2 {
    margin: 0px;
    font-weight: 200;
    font-size: 1.6rem;
}

.principal {
    grid-area: principal;
    height: calc(100vh - 180px);
    background-color: #f0f0f0;
    padding: 20px;
}

.conteudo {
    position: relative;
    height: 100%;
    overflow-y: scroll;
    background-color: #fff;
    padding: 20px;
    box-shadow: 0px 0px 25px 0px rgba(0, 0, 0, 0.2);
}

.rodape {
    grid-area: rodape;
    background-color: #fff;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    font-size: 1.2rem;
    padding-right: 20px;
    color: #444;
}

.modulos {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.modulo {
    flex-basis: 32%;
    margin-bottom: 20px;
    border-radius: 5px;
}

.modulo h3 {
    margin: 0px;
    color: #fff;
    font-weight: 300;
    font-size: 1.5rem;
    padding: 10px 20px;
    background-color: #1867c0;
}

.modulo ul {
    margin: 0px;
    padding: 10px;
    list-style: none;
}

.modulo ul li {
    padding: 7px;
    font-size: 1.2rem;
    cursor: pointer;
}

.modulo ul li a {
    display: flex;
    text-decoration: none;
    color: #222;
}

.modulo ul li:hover {
    background-color: #EEE;
}

.modulo.verde { border: 2px solid #4CAF50;}
.modulo.verde h3 { background-color: #4CAF50; }

.modulo.vermelho { border: 2px solid #f44336;}
.modulo.vermelho h3 { background-color: #f44336; }

.modulo.azul { border: 2px solid #2196f3;}
.modulo.azul h3 { background-color: #2196f3; }

.modulo.roxo { border: 2px solid #9c27b0;}
.modulo.roxo h3 { background-color: #9c27b0; }

.modulo.laranja { border: 2px solid #ff9800;}
.modulo.laranja h3 { background-color: #ff9800; }

.modulo.verde-escuro { border: 2px solid #1b5e20;}
.modulo.verde-escuro h3 { background-color: #1b5e20; }

.modulo.vermelho-escuro { border: 2px solid #b71c1c;}
.modulo.vermelho-escuro h3 { background-color: #b71c1c; }

.modulo.azul-escuro { border: 2px solid #0d47a1;}
.modulo.azul-escuro h3 { background-color: #0d47a1; }

.modulo.roxo-escuro { border: 2px solid #4a148c;}
.modulo.roxo-escuro h3 { background-color: #4a148c; }